For the latest news and information visit The GNU Crypto project

## gnu.crypto.assembly
Class TransformerException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gnu.crypto.assembly.TransformerException

All Implemented Interfaces:
  java.io.Serializable

public class TransformerException
extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`TransformerException()`
`TransformerException(java.lang.String details)`
`TransformerException(java.lang.String details, java.lang.Throwable cause)`
`TransformerException(java.lang.Throwable cause)`

Method Summary
`java.lang.Throwable` `getCause()`
`void` `printStackTrace()` Prints this exception's stack trace to `System.err`.
`void` `printStackTrace(java.io.PrintStream ps)` Prints this exception's stack trace to a print stream.
`void` `printStackTrace(java.io.PrintWriter pw)` Prints this exception's stack trace to a print writer.
`java.lang.String` `toString()` Returns the string representation of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformerException

    public TransformerException()

### TransformerException

    public TransformerException(java.lang.String details)

### TransformerException

    public TransformerException(java.lang.Throwable cause)

### TransformerException

    public TransformerException(java.lang.String details,
                                java.lang.Throwable cause)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Prints this exception's stack trace to `System.err`. If this exception has a root exception; the stack trace of the root exception is also printed to `System.err`.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Prints this exception's stack trace to a print stream. If this exception has a root exception; the stack trace of the root exception is also printed to the print stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `ps` - the non-null print stream to which to print.

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Prints this exception's stack trace to a print writer. If this exception has a root exception; the stack trace of the root exception is also printed to the print writer.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `pw` - the non-null print writer to use for output.

### toString

    public java.lang.String toString()

  Returns the string representation of this exception. The string representation contains this exception's class name, its detailed messsage, and if it has a root exception, the string representation of the root exception. This string representation is meant for debugging and not meant to be interpreted programmatically.

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    the non-null string representation of this exception.
  See Also:
    `Throwable.getMessage()`

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.